/*
 * conffile.h
 *
 * This file is part of the msmtp package, a very simple programm that 
 * works as an "SMTP plugin" for Mutt and possibly other MUAs.
 *
 * Copyright (C) 2000, 2003	Martin Lambers <marlam@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CONFFILE_H
#define CONFFILE_H

#include "list.h"

typedef struct
{
    char *id;
    char *host;
    int port;
    char *from;
    char *auth_mech;
    char *username;
    char *password;
    int tls;
    char *tls_key_file;
    char *tls_cert_file;
    char *tls_trust_file;
    int nostarttls;
    int keepbcc;
} account_t;

int get_conf(char *conffile, list_t **acc_list);
account_t *find_account(list_t *acc_list, char *id);
void _account_free(void *p);

#endif
